Bug 102043 - Console for interactive JavaScript evaluation
Console for interactive JavaScript evaluation
Status: RESOLVED FIXED
Product: javascript
Classification: Unclassified
Component: Debugger
6.x
All Windows XP
: P2 (vote)
: 7.4
Assigned To: Martin Entlicher
issues@javascript
: PLAN
Depends on: 228022 228051 228480
Blocks: 229313
  Show dependency treegraph
 
Reported: 2007-04-21 00:55 UTC by Pavel Buzek
Modified: 2013-05-07 02:25 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Buzek 2007-04-21 00:55:41 UTC
The Run action allows me to evaluate the current script so it also lets me
experiment with JVM JavaScript a little bit, but the context it lost after every
execution. It would be pretty handy to have a continuous context to be able to
interact with the JavaScript engine, for example for interactive testing of js
code or even Java code.
Comment 1 Martin Entlicher 2013-01-17 15:34:18 UTC
This can be actually a part of JavaScript debugger, which is active on every run.
Debugger's "Evaluate Code" can be currently used for this purpose, but a console-like component would be nicer.
Comment 2 Martin Entlicher 2013-04-10 12:44:08 UTC
The initial changes that change the browser log into an interactive console are pushed as changeset:   250144:a006191f0dad
http://hg.netbeans.org/web-main/rev/a006191f0dad

It remains to:
- add the prompt (depends on issue #228051),
- possibly print input in a different color,
- add collapsing of errors and expansion of objects into a list of fields
  (depends on issue #127676),
- SHIFT + ENTER adds newline into the input,
- possibly arrow up lists through previous expressions,
- add code-completion
Comment 3 Martin Entlicher 2013-05-05 22:34:34 UTC
The input is printed in a different color
http://hg.netbeans.org/web-main/rev/232cd2b3e68a
and objects can be expanded into a list of properties
http://hg.netbeans.org/web-main/rev/59ba753b856d
Comment 4 Martin Entlicher 2013-05-06 13:50:55 UTC
We have a defect submitted for the prompt: issue #229408 and enhancement for code-completion: issue #229411.
Then there are enhancements to improve Output Window so that it can behave more like a terminal: issue #229410 and issue #229414.
Comment 5 Quality Engineering 2013-05-07 02:25:54 UTC
Integrated into 'main-golden', will be available in build *201305062300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/59ba753b856d
User: mentlicher@netbeans.org
Log: #102043: Expansion of objects into a list of properties.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo